ISOINFO(8)

NUME
devdump, isoinfo, isovfy, isodump - programe utile pentru descărcarea și verificarea imaginilor iso9660.

SINOPSIS
devdump imagine-iso

isodump imagine-iso

isoinfo [ opțiuni ] [ [ expresia-de-găsit ]]

isovfy imagine-iso

DESCRIERE
devdump este un instrument rudimentar de afișare interactivă a conținutului imaginilor de dispozitiv sau de sistem de fișiere. Ecranul inițial este o afișare a primilor 256 de octeți din primul sector de 2048 de octeți. Comenzile sunt aceleași ca și în cazul lui isodump.

isodump este un instrument rudimentar pentru a afișa interactiv conținutul imaginilor iso9660 pentru a verifica integritatea directoarelor. Ecranul inițial este o afișare a primei părți a directorului rădăcină, iar promptul vă arată numărul de extensie și poziția în extensie.

    Puteți utiliza comenzile «a» și «b» pentru a vă deplasa înainte și înapoi în cadrul imaginii. Comanda «g» vă permite să vă deplasați la un „extent” arbitrar, iar comanda «f» specifică un șir de căutare care trebuie utilizat. Comanda «+» caută înainte următoarea instanță a șirului de căutare, iar comanda «q» părăsește devdump sau isodump.

isoinfo este un instrument pentru a efectua listări de tip director de imagini iso9660.

isovfy este un instrument de verificare a integrității unei imagini iso9660. Majoritatea testelor din isovfy au fost adăugate după ce au fost descoperite erori în versiunile anterioare ale lui mkisofs. Nu este foarte clar cât de utilă mai este, dar nu strică să o ai prin preajmă.

OPȚIUNI
Opțiunile comune tuturor programelor sunt -help, -h, -version, i=nume, dev=nume. Programul isoinfo are opțiuni suplimentare în linia de comandă. Aceste opțiuni sunt:

-help

-h  afișează un rezumat al tuturor opțiunilor.

-d  Imprimă informații din descriptorul de volum primar (PVD) al imaginii iso9660. Aceasta include informații despre Rock Ridge, extensiile Joliet și informațiile de pornire Eltorito, dacă sunt prezente.

-f  generează o ieșire ca și cum o comandă «find . -print» ar fi fost executată pe imaginea iso9660. Nu trebuie să utilizați opțiunea -l cu opțiunea -f. Aceeași ieșire este generată prin apelarea isoinfo cu -find -print.

-find expresia-de-găsit
    Această opțiune acționează ca un separator. În cazul în care este utilizată, toate opțiunile isoinfo trebuie să se afle în stânga opțiunii -find. În dreapta opțiunii -find, mkisofs acceptă doar sintaxa liniei de comandă find. Dacă expresia find include o opțiune primară -print sau -ls, opțiunea -l pentru isoinfo este ignorată. Dacă expresia de căutare se evaluează ca fiind adevărată, se efectuează acțiunea selectată (de exemplu, listarea directorului ISO-9660).

-i imagine-iso
    Specifică ruta imaginii iso9660 pe care dorim să o examinăm. Opțiunile -i și dev=ținta se exclud reciproc.

-ignore-error
    Ignoră erorile. În mod implicit, comenzile abandonează în cazul mai multor erori, cum ar fi erorile de citire. Cu această opțiune în vigoare, comenzile încearcă să continue. Folosiți cu atenție.

dev=ținta
    Stabilește ținta SCSI pentru unitate, a se vedea notele de mai sus. O specificație tipică a dispozitivului este dev=6,0 . În cazul în care trebuie furnizat un nume de fișier împreună cu specificația numerică a țintei, numele de fișier este specific implementării. În acest caz, numele de fișier corect poate fi găsit în manualele specifice sistemului de operare țintă. Pe un sistem FreeBSD fără suport CAM, trebuie să utilizați dispozitivul de control (de exemplu, /dev/rcd0.ctl). O specificație corectă a dispozitivului în acest caz poate fi dev=/dev/rcd0.ctl:@ .

    În Linux, unitățile conectate la un adaptor de port paralel sunt alocate unei magistrale SCSI virtuale. Diferite adaptoare sunt alocate unor ținte diferite pe această magistrală SCSI virtuală.

    Dacă nu este prezentă opțiunea dev, programul va încerca să obțină dispozitivul din variabila de mediu CDR_DEVICE.

    În cazul în care argumentul opțiunii dev= nu conține caracterele „,”, „/”, „@” sau „:”, acesta este interpretat ca un nume de etichetă care poate fi găsit în fișierul „/etc/cdrecord” (a se vedea secțiunea FIȘIERE).

    Opțiunile -i și dev=țintă se exclud reciproc.

-debug
    Imprimă informații suplimentare de depanare. Acest lucru permite, de exemplu, imprimarea tuturor intrărilor din directoare dacă un fișier are mai multe intrări în directoare și imprimarea mai multor informații din descriptorul de volum primar.

    În modul de depanare, informațiile Rock Ridge sunt analizate cu -R chiar dacă nu sunt conforme cu standardul.

-l  generează o ieșire ca și cum o comandă "ls -lR" ar fi fost executată pe imaginea iso9660. Nu trebuie să utilizați opțiunea de imagine -f cu opțiunea -l.

    Numerele din paranteze drepte reprezintă numărul sectorului de pornire ca număr zecimal (pe baza a 2048 de octeți pe sector) și fanioanele de director iso9660 ca număr hexazecimal, după cum urmează:

    0x00
        Un fișier simplu (nu este chiar un fanion).

    0x01
        Ascunde numele fișierului din listele de directoare.

    0x02
        Un director.

    0x04
        Un fișier asociat (de exemplu, o bifurcație de resurse Apple).

    0x08
        Se utilizează formatul de înregistrare în atribute extinse.

    0x10
        Nu există permisiune de citire/executare în atributele extinse.

    0x20
        rezervat

    0x40
        rezervat

    0x80
        Nu este intrarea finală a unui fișier cu mai multe extensiuni.

-N sector
    Truc rapid pentru a ajuta la examinarea fișierelor de disc cu o singură sesiune care urmează să fie scrise pe un disc cu mai multe sesiuni. Numărul de sector specificat este numărul de sector la care imaginea iso9660 trebuie scrisă atunci când este trimisă la inscriptorul de CD. Nu se utilizează pentru prima sesiune de pe disc.

-p  Afișează informații despre tabelul de rute.

-R  Extrage informații din extensiile Rock Ridge (dacă sunt prezente) pentru permisiuni, nume de fișiere și proprietari.

-s  Imprimă informații despre dimensiunea fișierului în multiplii dimensiunii sectorului (2048 octeți).

-J  Extrage informații din extensiile Joliet (dacă sunt prezente) pentru numele de fișiere.

-j set-caractere
    Convertește numele fișierelor Joliet (dacă sunt prezente) în setul de caractere furnizat. A se vedea mkisofs(8) pentru detalii.

-T sector
    Truc rapid pentru a ajuta la examinarea imaginilor multisesiune care au fost deja gravate pe un disc multisesiune. Numărul de sector specificat este numărul de sector pentru începutul sesiunii pe care dorim să o afișăm.

-X  Extrage fișierele din imagine și le introduce în sistemul de fișiere. Dacă nu se utilizează opțiunea -find, toate fișierele sunt extrase.

    Programul isoinfo permite extragerea tuturor fișierelor, chiar și a fișierelor multi-extent (fișiere > 4 GB).

    Înainte de a extrage fișiere cu ajutorul opțiunii -X, se recomandă să se schimbe directorul curent într-un director gol pentru a preveni distrugerea fișierelor existente.

-x nume-rută
    Extrage fișierul specificat la ieșirea standard. nume-rută trebuie să înceapă cu o bară oblică („/”) și, în cazul numelor iso9660, trebuie să corespundă cu numele complet al fișierului, inclusiv numărul versiunii (de obicei „;1”). În cazul în care s-a specificat opțiunea -R și sistemul de fișiere are atribute Rock Ridge, nume-rută trebuie să corespundă cu numele complet al rutei Rock Ridge a fișierului.

AUTOR
Autorul surselor originale (1993 .... 1998) este Eric Youngdale <ericy@gnu.ai.mit.edu> sau <eric@andante.jic.com> este de vină pentru aceste trucuri de proastă calitate. Joerg Schilling a scris biblioteca de transport SCSI și stratul său de adaptare la programe și părțile mai noi (începând cu 1999) ale utilităților, acest lucru îl face drepturi de autor © 1999-2004 Joerg Schilling. Corecții pentru îmbunătățirea capacității generale de utilizare ar fi acceptate cu plăcere.

ERORI
Interfața cu utilizatorul este foarte proastă.

ÎMBUNĂTĂȚIRI VIITOARE
Aceste utilități sunt niște trucuri rapide, care sunt foarte utile pentru depanarea problemelor din mkisofs sau dintr-un sistem de fișiere iso9660. Pe termen lung, ar fi frumos să avem un demon care să exporte prin NFS o imagine iso9660.

Programul «isoinfo» este probabil programul cel mai util pentru utilizatorul general.

DISPONIBILITATE
Aceste utilități sunt incluse în pachetul cdrtools, iar situl principal de descărcare este https://sourceforge.net/projects/cdrtools/files/ și multe alte situri oglindă. În ciuda numelui, software-ul nu este beta.

MEDIU

CDR_DEVICE
    Aceasta poate conține fie un identificator de dispozitiv care este adecvat pentru apelul deschis al bibliotecii de transport SCSI, fie o etichetă din fișierul „/etc/default/cdrecord”.

RSH Dacă mediul RSH este prezent, conexiunea la distanță nu va fi creată prin rcmd(3), ci prin apelarea programului indicat de RSH. Utilizați, de exemplu, RSH=/usr/bin/ssh pentru a crea o conexiune shell securizată.

    Rețineți că acest lucru forțează programul să creeze o conductă către programul rsh(1) și nu permite programului să acceseze direct soclul de rețea către serverul la distanță. Acest lucru face imposibilă configurarea parametrilor de performanță și încetinește conexiunea în comparație cu o conexiune root inițiată de rcmd(3).

RSCSI
    Dacă mediul RSCSI este prezent, serverul SCSI la distanță nu va fi programul /opt/schily/sbin/rscsi, ci programul indicat de RSCSI. Rețineți că numele programului serverului SCSI la distanță va fi ignorat dacă vă conectați folosind un cont care a fost creat cu un program de server SCSI la distanță ca shell de autentificare.

FIȘIERE

/etc/default/cdrecord
    Valorile implicite pot fi definite pentru următoarele opțiuni în „/etc/default/cdrecord”.

    CDR_DEVICE
        Aceasta poate conține fie un identificator de dispozitiv care este adecvat pentru apelul deschis al bibliotecii de transport SCSI, fie o etichetă din fișierul „/etc/default/cdrecord” care permite identificarea unei unități specifice din sistem.

    Orice altă etichetă
        este un identificator pentru o anumită unitate din sistem. Un astfel de identificator nu poate conține caracterele „,”, „/”, „@” sau „:”.

        Fiecare linie care urmează după o etichetă conține o listă de elemente separate prin tabulatoare. În prezent, sunt recunoscute patru elemente: ID-ul SCSI al unității, viteza implicită care trebuie utilizată pentru această unitate, dimensiunea implicită FIFO care trebuie utilizată pentru această unitate și opțiunile specifice ale unității. Valorile pentru viteză și dimensiune-fifo pot fi stabilite la -1 pentru a indica programului să utilizeze valorile implicite globale. Valoarea pentru driveropts poate fi stabilită la "" în cazul în care nu se utilizează driveropts. O linie tipică poate arăta astfel:

        teac1= 0,5,0    4    8m    ""

        yamaha= 1,6,0    -1    -1    burnfree

        Acest lucru îi îndică programului că o unitate numită teac1 se află la scsibus 0, target 5, lun 0 și trebuie utilizată cu viteza 4 și o dimensiune FIFO de 8 MB. O a doua unitate poate fi găsită la scsibus 1, ținta 6, lun 0 și utilizează viteza și dimensiunea FIFO implicite.

CONSULTAȚI ȘI
mkisofs(8), cdrecord(1), readcd(1), scg(7), rcmd(3), ssh(1).

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.